Bug 1302824 - [abrt] BUG: unable to handle kernel NULL pointer dereference at 0000000000000060
[abrt] BUG: unable to handle kernel NULL pointer dereference at 0000000000000060
Status: CLOSED DUPLICATE of bug 1305181
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-mga (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:7a2b9ea6b2b64ede39df6ad51d6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-28 12:33 EST by dhill171
Modified: 2016-02-20 08:56 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-20 08:56:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (113.46 KB, text/plain)
2016-01-28 12:33 EST, dhill171
no flags Details

  None (edit)
Description dhill171 2016-01-28 12:33:02 EST
Description of problem:
1) Installed updates to Fedora 23
2) Restarted machines and logged in as administrator
3) Logged out as administrator, log in screen did not appear, keyboard and mouse unresponsive
4) Restarted machine and logged in as regular user

Additional info:
reporter:       libreport-2.6.3
BUG: unable to handle kernel NULL pointer dereference at 0000000000000060
IP: [<ffffffff8178128c>] _raw_spin_lock+0xc/0x30
PGD 86ca3b067 PUD 86ca3a067 PMD 0 
Oops: 0002 [#1] SMP 
Modules linked in: binfmt_misc fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_broute bridge ebtable_filter ebtable_nat ebtables ip6table_mangle ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_raw ip6table_security ip6table_filter ip6_tables iptable_mangle iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_raw iptable_security intel_rapl iosf_mbi x86_pkg_temp_thermal coretemp kvm_intel iTCO_wdt kvm iTCO_vendor_support vfat fat crct10dif_pclmul crc32_pclmul crc32c_intel sb_edac edac_core ipmi_ssif i2c_i801 lpc_ich hpwdt hpilo ioatdma shpchp dca ipmi_si wmi tpm_tis tpm ipmi_msghandler pcc_cpufreq acpi_cpufreq acpi_power_meter
 nfsd auth_rpcgss nfs_acl lockd grace sunrpc mgag200 i2c_algo_bit drm_kms_helper 8021q garp stp llc mrp ttm drm tg3 ptp hpsa pps_core fjes uas usb_storage
CPU: 4 PID: 2165 Comm: Xorg Not tainted 4.3.3-301.fc23.x86_64 #1
Hardware name: HP ProLiant DL380 Gen9, BIOS P89 05/06/2015
task: ffff880868299e00 ti: ffff880868104000 task.ti: ffff880868104000
RIP: 0010:[<ffffffff8178128c>]  [<ffffffff8178128c>] _raw_spin_lock+0xc/0x30
RSP: 0018:ffff880868107938  EFLAGS: 00010246
RAX: 0000000000000000 RBX: 0000000000000000 RCX: 0000000000000001
RDX: 0000000000000001 RSI: 0000000000000000 RDI: 0000000000000060
RBP: ffff880868107958 R08: 0000000000000000 R09: ffff88085424d580
R10: ffff88085424d580 R11: 0000000000000000 R12: 0000000000000000
R13: ffff880468e27828 R14: ffff880468e26800 R15: 0000000000000001
FS:  00007fc85010da00(0000) GS:ffff88087fc00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000060 CR3: 000000085a838000 CR4: 00000000001406e0
Stack:
 ffffffffa01fe6bf ffff880868107a08 ffff8804675c2800 0000000000000000
 ffff880868107a48 ffffffffa02a060c ffff880468e27a00 ffff880868107b48
 ffff880868107988 ffffffffa026756e ffff880868107a98 ffff8804675c2800
Call Trace:
 [<ffffffffa01fe6bf>] ? drm_gem_object_lookup+0x1f/0xa0 [drm]
 [<ffffffffa02a060c>] mga_crtc_cursor_set+0xdc/0xab0 [mgag200]
 [<ffffffffa026756e>] ? ttm_bo_mem_put+0x2e/0x40 [ttm]
 [<ffffffff813b7829>] ? flex_array_get_ptr+0x9/0x20
 [<ffffffff81343085>] ? type_attribute_bounds_av+0x65/0x2e0
 [<ffffffff8177f159>] ? __ww_mutex_lock+0x19/0xa0
 [<ffffffffa0219011>] ? drm_modeset_lock+0x81/0xd0 [drm]
 [<ffffffffa02898b6>] restore_fbdev_mode+0xf6/0x110 [drm_kms_helper]
 [<ffffffffa028b735>] drm_fb_helper_restore_fbdev_mode_unlocked+0x25/0x70 [drm_kms_helper]
 [<ffffffffa028b7ad>] drm_fb_helper_set_par+0x2d/0x50 [drm_kms_helper]
 [<ffffffff8141d0d6>] fb_set_var+0x236/0x460
 [<ffffffff813b7829>] ? flex_array_get_ptr+0x9/0x20
 [<ffffffff81343085>] ? type_attribute_bounds_av+0x65/0x2e0
 [<ffffffff813b7829>] ? flex_array_get_ptr+0x9/0x20
 [<ffffffff81343085>] ? type_attribute_bounds_av+0x65/0x2e0
 [<ffffffff8132bfe7>] ? avc_alloc_node+0x27/0x120
 [<ffffffff8178108e>] ? _raw_spin_unlock_irqrestore+0xe/0x10
 [<ffffffff8141327f>] fbcon_blank+0x30f/0x350
 [<ffffffff81497dc3>] do_unblank_screen+0xd3/0x1a0
 [<ffffffff8148d50a>] vt_ioctl+0x50a/0x12e0
 [<ffffffff81480b1a>] tty_ioctl+0x35a/0xbf0
 [<ffffffff8133572c>] ? ioctl_has_perm+0xbc/0xf0
 [<ffffffff81236bd5>] do_vfs_ioctl+0x295/0x470
 [<ffffffff813357b0>] ? selinux_file_ioctl+0x50/0xd0
 [<ffffffff813298e3>] ? security_file_ioctl+0x43/0x60
 [<ffffffff81236e29>] SyS_ioctl+0x79/0x90
 [<ffffffff817815ee>] entry_SYSCALL_64_fastpath+0x12/0x71
Code: 00 00 f0 0f b1 17 85 c0 75 01 c3 55 89 c6 48 89 e5 e8 29 7e 96 ff 5d c3 0f 1f 80 00 00 00 00 0f 1f 44 00 00 31 c0 ba 01 00 00 00 <f0> 0f b1 17 85 c0 75 01 c3 55 89 c6 48 89 e5 e8 00 7e 96 ff 5d 
RIP  [<ffffffff8178128c>] _raw_spin_lock+0xc/0x30
 RSP <ffff880868107938>
Comment 1 dhill171 2016-01-28 12:33:09 EST
Created attachment 1119213 [details]
File: dmesg
Comment 2 Josh Boyer 2016-02-17 12:20:47 EST
Please test this scratch build when it completes and let me know if it resolves the issue.

http://koji.fedoraproject.org/koji/taskinfo?taskID=13022511
Comment 3 dhill171 2016-02-19 17:53:19 EST
I tested the scratch build and it did resolve the issue. Thanks.
Comment 4 Josh Boyer 2016-02-20 08:56:53 EST

*** This bug has been marked as a duplicate of bug 1305181 ***

Note You need to log in before you can comment on or make changes to this bug.